# Get Challenge

> Issue a proof-of-work challenge for public form submissions.

Canonical URL: https://docs.botyard.io/docs/api/challenge/get_challenge_v1_public_challenge_get

`GET /v1/public/challenge`

Issue a proof-of-work challenge for public form submissions.

Returns a self-verifying HMAC-signed challenge that expires after
``altcha_challenge_expiry`` seconds.

## Responses

| Status | Description | Body |
| --- | --- | --- |
| `200` | Successful Response | ChallengeResponse |
| `default` | RFC 9457 Problem Details error response | ProblemDetails |

Full schemas: operation `get_challenge_v1_public_challenge_get` in the OpenAPI spec at https://api.botyard.io/openapi.json.
